All Objects| Statics| Objects| KJSEmbed Objects| Qt Objects| KDE Objects| Exceptions| Uncreatable Objects

# Process

Bindings for the Process class.

## Properties

None

## Methods

addArgument(...)
child(...)
childCount(...)
children(...)
className(...)
closeStdin(...)
connect(...)
deleteLater(...)
disconnect(...)
getAttribute(...)
getElementById(...)
getParentNode(...)
hasAttribute(...)
isWidgetType(...)
kill(...)
parent(...)
properties(...)
readLineStderr(...)
readLineStdout(...)
setAttribute(...)
signals(...)
slots(...)
start(...)
superClassName(...)
tryTerminate(...)
workingDirectory(...)
writeToStdin(...)

## Qt Properties

Type | Name | Value
--- | --- | ---
QStringList | arguments |
bool | canReadLineStderr | false
bool | canReadLineStdout | false
Communication | communication | 7
int | exitStatus | 0
bool | isRunning | false
QCString | name | Process
bool | normalExit | false

## Qt Signals

destroyed()
destroyed(QObject*)
launchFinished()
processExited()
readyReadStderr()
readyReadStdout()
wroteToStdin()

## Qt Slots

void | addArgument(const QString&)
void | cleanupEventFilter(QObject*)
void | closeStdin()
void | closeStdinLaunch()
void | deleteLater()
void | kill()
QString | readLineStderr()
QString | readLineStdout()
void | setWorkingDirectory(const QDir&)
void | socketRead(int)
void | socketWrite(int)
bool | start()
void | timeout()
void | tryTerminate()
void | workingDirectory()
void | writeToStdin(const QByteArray&)
void | writeToStdin(const QString&)